Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl
Class XSLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xsl.XSLException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ProcessException, XSLTParserException

    public class XSLException

extends Exception

Signals that an XSL processor error occurred.

See Also:
  Serialized Form

Field Summary
`static String` | `ERROR_PROLOGUE`
`static String` | `INVALID_RESULT_HANDLER`
`static String` | `STYLESHEET_PARM_ERROR`
`static String` | `WARNING_PROLOGUE`

Constructor Summary
`XSLException()` Constructs an `XSLException` with no detail message.
`XSLException(String key)` Constructs an `XSLException` with the specified format message
`XSLException(String key, boolean noError)` Constructs an `XSLException` with the specified format message and error state.
`XSLException(String key, String parm0)` Constructs an `XSLException` with the specified format message and parameter

Method Summary
`static String` | `constructMessage(String key, Object[] parms)` Construct a message from a format message in the properties file and an array of parameters
`boolean` | `isError()` Return `true` if this exception is the result of an error or normal termination

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_PROLOGUE

    public static final String ERROR_PROLOGUE

See Also:
  Constant Field Values

### WARNING_PROLOGUE

    public static final String WARNING_PROLOGUE

See Also:
  Constant Field Values

### STYLESHEET_PARM_ERROR

    public static final String STYLESHEET_PARM_ERROR

See Also:
  Constant Field Values

### INVALID_RESULT_HANDLER

    public static final String INVALID_RESULT_HANDLER

See Also:
  Constant Field Values

Constructor Detail

### XSLException

    public XSLException()

  Constructs an `XSLException` with no detail message.

### XSLException

    public XSLException(String key)

  Constructs an `XSLException` with the specified format message

  Parameters:
    `key` - The key of the format message in the properties file

### XSLException

    public XSLException(String key,
                        String parm0)

  Constructs an `XSLException` with the specified format message and parameter

  Parameters:
    `key` - The key of the format message in the properties file
    `parm0` - The parameter for the format message

### XSLException

    public XSLException(String key,
                        boolean noError)

  Constructs an `XSLException` with the specified format message and error state.

  Parameters:
    `key` - The key of the format message in the properties file
    `noError` - `true` if exception is being used to terminate processing because of a non-error condition (xsl:message terminate="yes" for example)

Method Detail

### isError

    public boolean isError()

  Return `true` if this exception is the result of an error or normal termination

  Returns:
    `true` if this exception is an error

### constructMessage

    public static String constructMessage(String key,
                                          Object[] parms)

  Construct a message from a format message in the properties file and an array of parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD